client.stub.iaccessi

## Class AccessLog

- java.lang.Object
- - client.stub.iaccessi.AccessLog

-     public class AccessLog
      extends Object

  Classe Java per accessLog complex type.

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType name="accessLog">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="operatorCode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0" form="qualified"/>
               <element name="role" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0" form="qualified"/>
               <element name="organizationCode" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0" form="qualified"/>
               <element name="organizationName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0" form="qualified"/>
               <element name="locality" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0" form="qualified"/>
               <element name="date" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0" form="qualified"/>
               <element name="operation" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0" form="qualified"/>
               <element name="description" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0" form="qualified"/>
               <element name="documentURI" type="{http://www.sist.puglia.it/Schemas/PDD_SIST/SCATEL/FSE/}documentURI" minOccurs="0" form="qualified"/>
               <element name="documentType" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0" form="qualified"/>
               <element name="emergency" type="{http://www.w3.org/2001/XMLSchema}boolean" form="qualified"/>
               <element name="assumptionOfResponsability" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0" form="qualified"/>
               <element name="failed" type="{http://www.w3.org/2001/XMLSchema}boolean" form="qualified"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `assumptionOfResponsability`
    `protected LocalDateTime` | `date`
    `protected String` | `description`
    `protected String` | `documentType`
    `protected DocumentURI` | `documentURI`
    `protected boolean` | `emergency`
    `protected boolean` | `failed`
    `protected String` | `locality`
    `protected String` | `operation`
    `protected String` | `operatorCode`
    `protected String` | `organizationCode`
    `protected String` | `organizationName`
    `protected String` | `role`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AccessLog()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAssumptionOfResponsability()` Recupera il valore della proprietà assumptionOfResponsability.
    `LocalDateTime` | `getDate()` Recupera il valore della proprietà date.
    `String` | `getDescription()` Recupera il valore della proprietà description.
    `String` | `getDocumentType()` Recupera il valore della proprietà documentType.
    `DocumentURI` | `getDocumentURI()` Recupera il valore della proprietà documentURI.
    `String` | `getLocality()` Recupera il valore della proprietà locality.
    `String` | `getOperation()` Recupera il valore della proprietà operation.
    `String` | `getOperatorCode()` Recupera il valore della proprietà operatorCode.
    `String` | `getOrganizationCode()` Recupera il valore della proprietà organizationCode.
    `String` | `getOrganizationName()` Recupera il valore della proprietà organizationName.
    `String` | `getRole()` Recupera il valore della proprietà role.
    `boolean` | `isEmergency()` Recupera il valore della proprietà emergency.
    `boolean` | `isFailed()` Recupera il valore della proprietà failed.
    `void` | `setAssumptionOfResponsability(String value)` Imposta il valore della proprietà assumptionOfResponsability.
    `void` | `setDate(LocalDateTime value)` Imposta il valore della proprietà date.
    `void` | `setDescription(String value)` Imposta il valore della proprietà description.
    `void` | `setDocumentType(String value)` Imposta il valore della proprietà documentType.
    `void` | `setDocumentURI(DocumentURI value)` Imposta il valore della proprietà documentURI.
    `void` | `setEmergency(boolean value)` Imposta il valore della proprietà emergency.
    `void` | `setFailed(boolean value)` Imposta il valore della proprietà failed.
    `void` | `setLocality(String value)` Imposta il valore della proprietà locality.
    `void` | `setOperation(String value)` Imposta il valore della proprietà operation.
    `void` | `setOperatorCode(String value)` Imposta il valore della proprietà operatorCode.
    `void` | `setOrganizationCode(String value)` Imposta il valore della proprietà organizationCode.
    `void` | `setOrganizationName(String value)` Imposta il valore della proprietà organizationName.
    `void` | `setRole(String value)` Imposta il valore della proprietà role.
    `String` | `toString()` Generates a String representation of the contents of this type.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### operatorCode

          protected String operatorCode

    - #### role

          protected String role

    - #### organizationCode

          protected String organizationCode

    - #### organizationName

          protected String organizationName

    - #### locality

          protected String locality

    - #### date

          protected LocalDateTime date

    - #### operation

          protected String operation

    - #### description

          protected String description

    - #### documentURI

          protected DocumentURI documentURI

    - #### documentType

          protected String documentType

    - #### emergency

          protected boolean emergency

    - #### assumptionOfResponsability

          protected String assumptionOfResponsability

    - #### failed

          protected boolean failed

  - ### Constructor Detail

    - #### AccessLog

          public AccessLog()

  - ### Method Detail

    - #### getOperatorCode

          public String getOperatorCode()

      Recupera il valore della proprietà operatorCode.
      Returns:
        possible object is `String`

    - #### setOperatorCode

          public void setOperatorCode(String value)

      Imposta il valore della proprietà operatorCode.
      Parameters:
        `value` - allowed object is `String`

    - #### getRole

          public String getRole()

      Recupera il valore della proprietà role.
      Returns:
        possible object is `String`

    - #### setRole

          public void setRole(String value)

      Imposta il valore della proprietà role.
      Parameters:
        `value` - allowed object is `String`

    - #### getOrganizationCode

          public String getOrganizationCode()

      Recupera il valore della proprietà organizationCode.
      Returns:
        possible object is `String`

    - #### setOrganizationCode

          public void setOrganizationCode(String value)

      Imposta il valore della proprietà organizationCode.
      Parameters:
        `value` - allowed object is `String`

    - #### getOrganizationName

          public String getOrganizationName()

      Recupera il valore della proprietà organizationName.
      Returns:
        possible object is `String`

    - #### setOrganizationName

          public void setOrganizationName(String value)

      Imposta il valore della proprietà organizationName.
      Parameters:
        `value` - allowed object is `String`

    - #### getLocality

          public String getLocality()

      Recupera il valore della proprietà locality.
      Returns:
        possible object is `String`

    - #### setLocality

          public void setLocality(String value)

      Imposta il valore della proprietà locality.
      Parameters:
        `value` - allowed object is `String`

    - #### getDate

          public LocalDateTime getDate()

      Recupera il valore della proprietà date.
      Returns:
        possible object is `String`

    - #### setDate

          public void setDate(LocalDateTime value)

      Imposta il valore della proprietà date.
      Parameters:
        `value` - allowed object is `String`

    - #### getOperation

          public String getOperation()

      Recupera il valore della proprietà operation.
      Returns:
        possible object is `String`

    - #### setOperation

          public void setOperation(String value)

      Imposta il valore della proprietà operation.
      Parameters:
        `value` - allowed object is `String`

    - #### getDescription

          public String getDescription()

      Recupera il valore della proprietà description.
      Returns:
        possible object is `String`

    - #### setDescription

          public void setDescription(String value)

      Imposta il valore della proprietà description.
      Parameters:
        `value` - allowed object is `String`

    - #### getDocumentURI

          public DocumentURI getDocumentURI()

      Recupera il valore della proprietà documentURI.
      Returns:
        possible object is `DocumentURI`

    - #### setDocumentURI

          public void setDocumentURI(DocumentURI value)

      Imposta il valore della proprietà documentURI.
      Parameters:
        `value` - allowed object is `DocumentURI`

    - #### getDocumentType

          public String getDocumentType()

      Recupera il valore della proprietà documentType.
      Returns:
        possible object is `String`

    - #### setDocumentType

          public void setDocumentType(String value)

      Imposta il valore della proprietà documentType.
      Parameters:
        `value` - allowed object is `String`

    - #### isEmergency

          public boolean isEmergency()

      Recupera il valore della proprietà emergency.

    - #### setEmergency

          public void setEmergency(boolean value)

      Imposta il valore della proprietà emergency.

    - #### getAssumptionOfResponsability

          public String getAssumptionOfResponsability()

      Recupera il valore della proprietà assumptionOfResponsability.
      Returns:
        possible object is `String`

    - #### setAssumptionOfResponsability

          public void setAssumptionOfResponsability(String value)

      Imposta il valore della proprietà assumptionOfResponsability.
      Parameters:
        `value` - allowed object is `String`

    - #### isFailed

          public boolean isFailed()

      Recupera il valore della proprietà failed.

    - #### setFailed

          public void setFailed(boolean value)

      Imposta il valore della proprietà failed.

    - #### toString

          public String toString()

      Generates a String representation of the contents of this type. This is an extension method, produced by the 'ts' xjc plugin
      Overrides:
        `toString` in class `Object`

Copyright © 2024. All rights reserved.